[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: perl @INC cannot find scoop lib dir



On Tue, May 11, 2004 at 05:26:34PM +0200, Alexander Dalloz wrote:
> Am Di, den 11.05.2004 schrieb Jay Daniels um 17:06:
> 
> > I am trying to get scoop to run on fedora.
> > 
> > After install...
> > ]# apachectl start
> > [Tue May 11 10:58:21 2004] [error] Can't locate Scoop.pm in @INC (@INC
> 
> > [Tue May 11 10:58:21 2004] [error] Can't load Perl file:
> > /var/www/scoop/etc/startup.pl for server www.darkforceteam.net:0,
> > exiting...
> > 
> > In /etc/httpd/conf.d/httpd-darkforceteam.conf I have...
> > 
> > # Edit the path below to point to your scoop lib/ directory
> > <perl>
> >   use lib qw( /var/www/scoop/lib );
> > </perl>
> > 
> > Scoop.pm path is correct and it exist.
> 
> Where is Scoop.pm located? If you say "/var/www/scoop/lib", then that
> path is not searched ...
> 
> > So why can't perl find my scoop lib?
> 
> ...  as not in @INC.
> 
> > jay
> 
> Alexander

I thought that 

> > <perl>
> >   use lib qw( /var/www/scoop/lib );
> > </perl>

would work, but apparently not.

I have also been informed that scoop may not even work with apache
2.0.

"Apache is a popular HTTP server, is available from the Apache website
at http://www.apache.org/dist/httpd/ and is the only one Scoop
supports. A stable version of Apache 2.0 has been released, but is not
supported by Scoop. Just about any version of Apache 1.3 should work,
though the most recent is recommended as it will always include bug
and security fixes. You should compile Apache by hand and not use a
precompiled version, as precompiled packages are notorious for not
working properly with Scoop. When you compile Apache, make sure to
include mod_perl (below) directly in the program. See section 2.2 for
detailed instructions."

I install the httpd src.rpm and tried to poing the scoop install
script to the untarred source, but it's asking for a httpd????/src
directory which the source rpm source does not have!

What will I break if I remove the httpd rpm and perl mod, then compile
and install apache 1.3.?? from source?

I wanted to test this scoop perl based cms, but if it's that much
trouble I will look for another application.



jay



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]